%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define libxml2_version 2.5.11
%define gnome_vfs2_version 2.4.0
%define gail_version 1.4.0

Summary: 	An HTML widget for GTK+ 2.0
Name: 		gtkhtml2
Version: 	2.4.0
Release: 	2
URL: 		http://gtkhtml2.codefactory.se/
Source: 	libgtkhtml-%{version}.tar.bz2

Patch0:		libgtkhtml-2.4.0-aix.patch
Patch1:		libgtkhtml-2.4.0-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires:  	gtk2 >= %{gtk2_version}
Requires:  	libxml2 >= %{libxml2_version}
Requires: 	gnome-vfs2 >= %{gnome_vfs2_version}
Requires: 	gail >= %{gail_version}

BuildRequires: 	pango-devel >= %{pango_version}
BuildRequires: 	gtk2-devel >= %{gtk2_version}
BuildRequires: 	libxml2-devel >= %{libxml2_version}
BuildRequires: 	gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: 	gail-devel >= %{gail_version}

%description
GtkHTML2 (sometimes called libgtkhtml) is contains a widget for
displaying html pages.

%package devel
Summary: 	Libraries, includes, etc to develop Gtkhtml2 applications
Group: 		Development/Libraries
Requires: 	gtkhtml2 = %{version}-%{release}
Requires: 	gtk2-devel >= %{gtk2_version}
Requires: 	libxml2-devel >= %{libxml2_version}
Requires: 	gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: 	gail-devel >= %{gail_version}

%description devel
Libraries and include files that can be used to develop Gtkhtml2 applications.

%prep
%setup -q -n libgtkhtml-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgtkhtml-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgtkhtml-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files
%defattr(-,root,system)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_libdir}/lib*.a

/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/gtkhtml-2.0

/usr/include/*
